pcl::common::UniformGenerator< T >::Parameters Struct Reference

`#include <pcl/common/random.h>`

## Public Member Functions

| Parameters (T _min=0, T _max=1, pcl::uint32_t _seed=1)

## Public Attributes

T | min
T | max
pcl::uint32_t | seed

## Detailed Description

### template<typename T>
struct pcl::common::UniformGenerator< T >::Parameters

Definition at line 89 of file random.h.

## Constructor & Destructor Documentation

## Parameters()

template<typename T>

pcl::common::UniformGenerator< T >::Parameters::Parameters | ( | T | _min = `0`,
|  | T | _max = `1`,
|  | pcl::uint32_t | _seed = `1`
| ) |  |

inline

Definition at line 91 of file random.h.

## Member Data Documentation

## max

template<typename T>

T pcl::common::UniformGenerator< T >::Parameters::max

Definition at line 98 of file random.h.

Referenced by pcl::common::UniformGenerator< T >::setParameters().

## min

template<typename T>

T pcl::common::UniformGenerator< T >::Parameters::min

Definition at line 97 of file random.h.

Referenced by pcl::common::UniformGenerator< T >::setParameters().

## seed

template<typename T>

pcl::uint32_t pcl::common::UniformGenerator< T >::Parameters::seed

Definition at line 99 of file random.h.

Referenced by pcl::common::UniformGenerator< T >::setParameters(), pcl::common::UniformGenerator< T >::setSeed(), and pcl::common::UniformGenerator< T >::UniformGenerator().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/common/random.h